package cn.bunny.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Component
@FeignClient(value = "service-cloud2", path = "/api")
public interface CloudFeignClient {

    // 调用时如果请求类型不同需要考虑加上 @RequestParam
    @GetMapping("feignCloud2")
    String getFeignCloud2(@RequestParam Long id);
}
